List Service Instances

List Service Instances
List service instances

This endpoint retrieves the service instances the user has access to, including access granted by service instance sharing.

Request
URI
GET
https://api.example.local/v3/service_instances
COPY
Query Parameters
string of array
names
Optional

Comma-delimited list of service instance names to filter by

string of array
guids
Optional

Comma-delimited list of service instance guids to filter by

string
type
Optional

Filter by type; valid values are 'managed' and 'user-provided'

Possible values are : managed, user-provided,
string of array
space_guids
Optional

Comma-delimited list of space guids to filter by

string of array
organization_guids
Optional

Comma-delimited list of organization guids to filter by

string of array
service_plan_guids
Optional

Comma-delimited list of service plan guids to filter by

string of array
service_plan_names
Optional

Comma-delimited list of service plan names to filter by

integer
page
Optional

Page to display; valid values are integers >= 1

page example
1
integer
per_page
Optional

Number of results per page, valid values are 1 through 5000

per_page example
50
string
order_by
Optional

Value to sort by. Defaults to ascending; prepend with - to sort descending.

order_by example
created_at
string
label_selector
Optional

A query string containing a list of label selector requirements

label_selector example
environment=production
string
created_ats
Optional

Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.

created_ats example
2021-01-01T00:00:00Z
string
updated_ats
Optional

Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.

updated_ats example
2021-01-01T00:00:00Z
object
fields
Optional

Fields to include in the response


Authentication
This operation uses the following authentication methods.
Responses
200

Request succeeded

Returns ServiceInstanceList of type(s) application/json
{
    "pagination": {
        "total_results": 0,
        "total_pages": 0,
        "first": {
            "href": "string",
            "method": "string"
        },
        "last": {
            "href": "string",
            "method": "string"
        },
        "next": {
            "href": "string",
            "method": "string"
        },
        "previous": {
            "href": "string",
            "method": "string"
        }
    },
    "resources": [
        {
            "guid": "string",
            "created_at": "string",
            "updated_at": "string",
            "type": "string",
            "name": "string",
            "tags": [
                "string"
            ],
            "syslog_drain_url": "string",
            "route_service_url": "string",
            "dashboard_url": "string",
            "maintenance_info": {
                "version": "string",
                "description": "string"
            },
            "upgrade_available": false,
            "last_operation": {
                "type": "string",
                "state": "string",
                "description": "string",
                "created_at": "string",
                "updated_at": "string"
            },
            "relationships": {
                "space": {
                    "data": {
                        "guid": "string"
                    }
                },
                "service_plan": {
                    "data": {
                        "guid": "string"
                    }
                }
            },
            "links": {
                "self": {
                    "href": "string",
                    "method": "string"
                },
                "space": {
                    "href": "string",
                    "method": "string"
                },
                "service_plan": {
                    "href": "string",
                    "method": "string"
                },
                "parameters": {
                    "href": "string",
                    "method": "string"
                },
                "service_credential_bindings": {
                    "href": "string",
                    "method": "string"
                },
                "service_route_bindings": {
                    "href": "string",
                    "method": "string"
                },
                "shared_spaces": {
                    "href": "string",
                    "method": "string"
                }
            },
            "metadata": {
                "labels": {
                    "labels": "string"
                },
                "annotations": {
                    "annotations": "string"
                }
            }
        }
    ]
}
object
pagination
Optional

Pagination is a technique used to divide a large set of results into smaller, more manageable sets. This allows clients to retrieve results in smaller chunks, reducing the amount of data transferred and improving performance. The pagination object is a JSON object that contains information about the pagination state of the results. It includes the total number of results available, the total number of pages available, and links to the first, last, next, and previous pages of results.

array of resources
resources
Optional

resources


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


502

Bad Gateway

Returns BadGateway of type(s) application/json
{
    "code": 0,
    "detail": "string",
    "title": "string"
}
integer
code
Optional

A numeric code for this error

string
detail
Optional

Detailed description of the error

string
title
Optional

Name of the error


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/service_instances